BuilderASTTransformation.AbstractBuilderStrategy (Groovy 2.4.15)
Date: 2018-03-23

org.codehaus.groovy.transform

## Class BuilderASTTransformation.AbstractBuilderStrategy

- java.lang.Object
- - org.codehaus.groovy.transform.BuilderASTTransformation.AbstractBuilderStrategy

- All Implemented Interfaces:
    BuilderASTTransformation.BuilderStrategy
  Direct Known Subclasses:
    DefaultStrategy, ExternalStrategy, InitializerStrategy, SimpleStrategy
  Enclosing class:
    BuilderASTTransformation

      public abstract static class BuilderASTTransformation.AbstractBuilderStrategy
      extends java.lang.Object
      implements BuilderASTTransformation.BuilderStrategy

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `BuilderASTTransformation.AbstractBuilderStrategy.PropertyInfo`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractBuilderStrategy()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `checkKnownField(BuilderASTTransformation transform, AnnotationNode anno, java.lang.String name, java.util.List<FieldNode> fields)`
    `protected void` | `checkKnownProperty(BuilderASTTransformation transform, AnnotationNode anno, java.lang.String name, java.util.List<BuilderASTTransformation.AbstractBuilderStrategy.PropertyInfo> properties)`
    `protected boolean` | `getIncludeExclude(BuilderASTTransformation transform, AnnotationNode anno, ClassNode cNode, java.util.List<java.lang.String> excludes, java.util.List<java.lang.String> includes)`
    `protected static java.util.List<BuilderASTTransformation.AbstractBuilderStrategy.PropertyInfo>` | `getPropertyInfoFromClassNode(ClassNode cNode, java.util.List<java.lang.String> includes, java.util.List<java.lang.String> excludes)`
    `protected java.lang.String` | `getSetterName(java.lang.String prefix, java.lang.String fieldName)`
    `protected boolean` | `unsupportedAttribute(BuilderASTTransformation transform, AnnotationNode anno, java.lang.String memberName)`
    `protected boolean` | `unsupportedAttribute(BuilderASTTransformation transform, AnnotationNode anno, java.lang.String memberName, java.lang.String extraMessage)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.codehaus.groovy.transform.BuilderASTTransformation.BuilderStrategy

      `build`

- - ### Constructor Detail

    - #### AbstractBuilderStrategy

          public AbstractBuilderStrategy()

  - ### Method Detail

    - #### getPropertyInfoFromClassNode

          protected static java.util.List<BuilderASTTransformation.AbstractBuilderStrategy.PropertyInfo> getPropertyInfoFromClassNode(ClassNode cNode,
                                                                                                                                      java.util.List<java.lang.String> includes,
                                                                                                                                      java.util.List<java.lang.String> excludes)

    - #### getSetterName

          protected java.lang.String getSetterName(java.lang.String prefix,
                                                   java.lang.String fieldName)

    - #### unsupportedAttribute

          protected boolean unsupportedAttribute(BuilderASTTransformation transform,
                                                 AnnotationNode anno,
                                                 java.lang.String memberName)

    - #### unsupportedAttribute

          protected boolean unsupportedAttribute(BuilderASTTransformation transform,
                                                 AnnotationNode anno,
                                                 java.lang.String memberName,
                                                 java.lang.String extraMessage)

    - #### checkKnownProperty

          protected void checkKnownProperty(BuilderASTTransformation transform,
                                            AnnotationNode anno,
                                            java.lang.String name,
                                            java.util.List<BuilderASTTransformation.AbstractBuilderStrategy.PropertyInfo> properties)

    - #### checkKnownField

          protected void checkKnownField(BuilderASTTransformation transform,
                                         AnnotationNode anno,
                                         java.lang.String name,
                                         java.util.List<FieldNode> fields)

    - #### getIncludeExclude

          protected boolean getIncludeExclude(BuilderASTTransformation transform,
                                              AnnotationNode anno,
                                              ClassNode cNode,
                                              java.util.List<java.lang.String> excludes,
                                              java.util.List<java.lang.String> includes)